Skip to main content
`Ctrl`+`K`

# DMProductSetDimensionIndex

Set the dimension index associated with a given slot/sub-`DM`

## Synopsis

    PETSC_EXTERN PetscErrorCode DMProductSetDimensionIndex(DM dm, PetscInt slot, PetscInt idx)

Not Collective

## Input Parameters

- dm - the `DMPRODUCT`

- slot - which dimension slot, in the range 0 to dim-1

- idx - the dimension index of the sub-`DM`

## See Also

`DMPRODUCT`

## Level

advanced

## Location

src/dm/impls/product/productutils.c

Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages